{ pkgs, ... }:

{
  nix = {
    distributedBuilds = true;
    buildMachines = [{
      hostName = "mikulinux";
      systems = [ "x86_64-linux" "i686-linux" ];
      maxJobs = 4;
      speedFactor = 2;
      supportedFeatures = [ "nixos-test" "benchmark" "big-parallel" "kvm" ];
    }];
  };

  programs.ssh.extraConfig = ''
Host mikulinux
  HostName 192.168.178.38
  User builder
  IdentitiesOnly yes
  IdentityFile /root/.ssh/id_builder
  '';
}
